Part Box/zh-cn: Difference between revisions

From FreeCAD Documentation
(Created page with "==属性== {{Properties_Title|Base}} *{{PropertyData|Placement}}: 指定立方体在3D空间中的朝向与位置。可参考 朝向。立方体前侧左下角...")
(Created page with "{{Properties_Title|Box}} *{{PropertyData|Length}}: 此长度参数是立方体在x轴方向上的尺寸。 *{{PropertyData|Width}}: 此宽度参数是立方体在y轴方向上...")
Line 27: Line 27:


{{Properties_Title|Box}}
{{Properties_Title|Box}}
*{{PropertyData|Length}}: The length parameter is the Box's dimension in the x-direction.
*{{PropertyData|Length}}: 此长度参数是立方体在x轴方向上的尺寸。
*{{PropertyData|Width}}: The width parameter is the Box's dimension in the y-direction.
*{{PropertyData|Width}}: 此宽度参数是立方体在y轴方向上的尺寸。
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.
*{{PropertyData|Height}}: 此高度参数是立方体在z轴方向上的尺寸。


[[Image:Part_Box-Properties.jpg|Part_Box-Properties]]
[[Image:Part_Box-Properties.jpg|Part_Box-Properties]]

Revision as of 09:33, 7 July 2019

Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part CreatePrimitives

概述

利用零件工作台(Part Workbench)中的立方体命令可向处于活动状态的文档中插入一个参数化 长方体几何图元。默认情况下,此立方体命令会在原点处插入一个10x10x10 mm且附有"cube"标签的立方体。在添加立方体对象后还可以修改这些参数。

在零件工作台中创建的立方体

如何使用

  • 在零件工作台中点选立方体图标
  • 或者,您也可以从菜单栏中选择Part → Primitives → Cube

选项

  • 通过 属性编辑器:
    • Length: 为您的立方体设置长度(默认值为10 mm)。
    • Width: 为您的立方体设置宽度(默认值为10 mm)。
    • Height: 为您的立方体设置高度(默认值为10 mm)。
    • Placement: 指定立方体在3D空间中的朝向与位置。参见 方位。参考点为立方体前侧左下角的那个点。
    • Label: 此标签记有为此对象起的名字。您可按自己的需求更改此名。

属性

Base

  • 数据Placement: 指定立方体在3D空间中的朝向与位置。可参考 朝向。立方体前侧左下角角点即为参照点。
  • 数据Label: 为对应立方体对象指定的标签。可按需修改。

Box

  • 数据Length: 此长度参数是立方体在x轴方向上的尺寸。
  • 数据Width: 此宽度参数是立方体在y轴方向上的尺寸。
  • 数据Height: 此高度参数是立方体在z轴方向上的尺寸。

Part_Box-Properties

Scripting

The Box command can by used in macros and from the python console using the following function:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Where "myBox" is the label for the Box object.
  • Returns newly created object of type Box.

You can access and modify attributes of the Box object. For example, you may wish to modify the length, width and height parameters.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

You can change its placement with:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

FreeCAD - Version

Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".